Summary: The GNU shar utilities for packaging and unpackaging shell archives.
Name: sharutils
Version: 4.2.1
Release: 2mdk
Copyright: GPL
Group: Archiving/Backup
Source: ftp://prep.ai.mit.edu/pub/gnu/sharutils-4.2.tar.bz2
Patch1: sharutils-4.2-gmo.patch.bz2
Patch2: sharutils-4.2-man.patch.bz2
Patch3: sharutils-4.2-po.patch.bz2
Prereq: /sbin/install-info
Buildroot: /var/tmp/shar-root

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through email (which can be problematic for
regular binary files).  The shar utility supports a wide range of
capabilities (compressing, uuencoding, splitting long files for
multi-part mailings, providing checksums), which make it very flexible
at creating shar files.  After the files have been sent, the unshar
tool scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the shar
files.

Install sharutils if you send binary files through email very often.

%prep
%setup -qn %{name}-4.2
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k" ; exit 0)
        make 
else
        make 
fi


%install
rm -f $RPM_BUILD_ROOT/usr/info/sharutils* $RPM_BUILD_ROOT/usr/info/remsync*
make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr install-man


strip $RPM_BUILD_ROOT/usr/bin/shar $RPM_BUILD_ROOT/usr/bin/unshar $RPM_BUILD_ROOT/usr/bin/uuencode $RPM_BUILD_ROOT/usr/bin/uudecode

# (fg) FIXME: those files are not installed by the Makefile anymore, why is
# that? No time to look into it, but when it does install them, please remove
# this
cd $RPM_BUILD_DIR/%{name}-4.2/po
for i in *gmo; do this_lang=${i%.gmo}; \
this_dir=$RPM_BUILD_ROOT/usr/share/locale/${this_lang}/LC_MESSAGES; \
mkdir -p $this_dir && cp $i ${this_dir}/parted.mo; \
done

%post
/sbin/install-info /usr/info/sharutils.info.bz2 /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/sharutils.info.bz2 /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
/usr/bin/*
/usr/info/sharutils*
/usr/info/remsync*
/usr/man/*/*
/usr/share/locale/*/*/*

%changelog

* Sat Mar 18 2000 Francis Galiegue <francis@mandrakesoft.com> 4.2.1-2mdk

- Let spec helper do its job
- Some spec file changes

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
_ SMP check/build
- 4.2.1

* Wed Aug 25 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Remove gzip -9nf stuff, so they info's aren't .gz.bz2
- add %%defattr, (builds as none root)

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 info

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- ALRIGHT!  Woo-hoo!  Erik already did the install-info stuff!
- added BuildRoot
- spec file cleanups

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

